Get a service
curl --request GET \
--url https://api.getdialed.ai/v1/catalog/services/{service_id}import requests
url = "https://api.getdialed.ai/v1/catalog/services/{service_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.getdialed.ai/v1/catalog/services/{service_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"auth_method": "basic_auth",
"base_url": "https://api.five9.com/wsadmin/v13",
"credential_fields": [
{
"label": "Username",
"name": "username",
"required": true,
"secret": false,
"type": "string"
},
{
"label": "Password",
"name": "password",
"required": true,
"secret": true,
"type": "password"
}
],
"docs_url": "https://webapps.five9.com/assets/files/for_customers/documentation/apis/config-webservices-api-reference-guide.pdf",
"id": "five9__configuration_service",
"kind": "api",
"name": "Configuration API",
"platform_id": "five9",
"protocol": "SOAP",
"rate_buckets": {
"Upload": {
"default_lane": "bulk",
"default_lane_by_action": {
"five9__configuration_service__add_to_list": "bulk"
},
"label": "Uploading (batch)",
"max_records_per_request": 50000,
"member_action_ids": [
"five9__configuration_service__add_to_list"
],
"windows": {
"60": 20,
"3600": 400,
"86400": 2000
}
}
},
"requires_connection": true,
"status": "active"
}{
"detail": "Service not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "Rate limit exceeded: 100 per 1 minute"
}Catalog — /v1/catalog
Get a service
Fetch a single catalog service by id. No authentication required.
GET
/
catalog
/
services
/
{service_id}
Get a service
Path Parameters
Response
Successful Response
Available options:
utility, api, mcp, cli, product Available options:
basic_auth, api_key, jwt, oauth2, aws_access_key, none Available options:
REST, SOAP, GraphQL Show child attributes
Show child attributes